# ChangeLog for app-cdr/xcdroast
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/xcdroast/ChangeLog,v 1.56 2007/01/24 02:35:01 genone Exp $

  24 Jan 2007; Marius Mauch <genone@gentoo.org>
  xcdroast-0.98_alpha15-r3.ebuild:
  Replacing einfo with elog

  15 Jan 2007; Luis Medinas <metalgod@gentoo.org>
  xcdroast-0.98_alpha15-r4.ebuild:
  Stable on amd64. See bug #158483.

  30 Dec 2006; Andrej Kacian <ticho@gentoo.org>
  xcdroast-0.98_alpha15-r4.ebuild:
  Stable on x86, bug #158483.

  27 Dec 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  xcdroast-0.98_alpha15-r4.ebuild:
  Stable on sparc wrt #158483

  22 Dec 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  xcdroast-0.98_alpha15-r4.ebuild:
  Stable on ppc wrt bug #158483.

  12 Nov 2006; Lars Weiler <pylon@gentoo.org> files/cdrecord2wodim.patch:
  Switching to a much more advanced cdrecord2wodim.patch; taken from Debian
  Bug #390174 with some slight changes.

  11 Nov 2006; Lars Weiler <pylon@gentoo.org> files/cdrecord2wodim.patch,
  xcdroast-0.98_alpha15-r4.ebuild:
  Extended the cdrecord2wodim.patch so that it works with cdrkit-1.0_pre5.

*xcdroast-0.98_alpha15-r4 (11 Nov 2006)

  11 Nov 2006; Lars Weiler <pylon@gentoo.org> +files/cdrecord2wodim.patch,
  +files/cdrecord_versions.patch, +files/modern_cdrtools.patch,
  xcdroast-0.98_alpha15-r3.ebuild, +xcdroast-0.98_alpha15-r4.ebuild:
  Added some patches (from upstream and from Debian) so that xcdroast works
  with current cdrkit and cdrtools.

  28 Oct 2006; Lars Weiler <pylon@gentoo.org>
  xcdroast-0.98_alpha15-r3.ebuild:
  Added dev-util/pkgconfig as dependency; bug #151131.

  14 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  xcdroast-0.98_alpha15-r3.ebuild:
  Stable on sparc wrt #107229

  26 Sep 2005; Luis Medinas <metalgod@gentoo.org>
  xcdroast-0.98_alpha15-r3.ebuild:
  Remove unneeded dependencies

  25 Sep 2005; Luis Medinas <metalgod@gentoo.org>
  xcdroast-0.98_alpha15-r3.ebuild:
  Removed gtk1 support now this package will be forced to build only with gtk2
  support.

  25 Sep 2005; Luis Medinas <metalgod@gentoo.org>
  xcdroast-0.98_alpha15-r3.ebuild:
  Fixed use flag. Bug #107150.

  21 Sep 2005; Luis Medinas <metalgod@gentoo.org>
  xcdroast-0.98_alpha15-r3.ebuild:
  Switch gtk2 use flag to gtk. Bug #106560.

  14 Sep 2005; Luis Medinas <metalgod@gentoo.org>
  xcdroast-0.98_alpha15-r3.ebuild:
  Removed Nomirror restriction. Fixes bug #100521.

  30 Mar 2005; Lars Weiler <pylon@gentoo.org>
  xcdroast-0.98_alpha15-r3.ebuild:
  ebuild cleanup -> bug #81865

  31 Oct 2004; Lars Weiler <pylon@gentoo.org> metadata.xml,
  -xcdroast-0.98_alpha15-r2.ebuild, xcdroast-0.98_alpha15-r3.ebuild:
  Depend on virtual/cdrtools instead of app-cdr/cdrtools. Make this package a
  member of the media-optical herd. Furthermore cleanup.

  17 Jun 2004; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha15-r3.ebuild:
  Edited the dependency list, so that GTK+ will not be installed, when GTK2+ is
  chosen.

  12 Feb 2004; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha15-r3.ebuild:
  There was still an error in the symlink...

  08 Feb 2004; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha15-r3.ebuild:
  Fixed a small typo in the symlink to cdrecord-ProDVD.

  07 Feb 2004; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha15-r3.ebuild:
  stable on x86 and ppc.

  23 Jan 2004; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha15-r3.ebuild:
  Inserted upstream-patch for amd64.  See bug #36676.

*xcdroast-0.98_alpha15-r3 (17 Jan 2004)

  17 Jan 2004; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha15-r2.ebuild,
  xcdroast-0.98_alpha15-r3.ebuild:
  Made slightly changes in alpha15-r3 as cdrecord-prodvd became a package by
  it's own. Bumped alpha15-r2 stable for x86 and ppc.

  18 Dec 2003; Jason Wever <weeve@gentoo.org> xcdroast-0.98_alpha15-r2.ebuild:
  Added ~sparc keyword.

  05 Dec 2003; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha15-r2.ebuild:
  Added support for Gnome users, so that X-CD-Roast is in the Multimedia-menu
  and carries it's an icon. This closes bugs 34751 and 34756.

  22 Nov 2003; <spider@gentoo.org> xcdroast-0.98_alpha15-r1.ebuild,
  xcdroast-0.98_alpha15-r2.ebuild, xcdroast-0.98_alpha15.ebuild:
  removed bad gtk?() dependency (as the app doesn't build without gtk (some
  version) it shouldnt have a gtk?( ) flag in the DEPEND statement)

*xcdroast-0.98_alpha15-r2 (15 Nov 2003)

  15 Nov 2003; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha15-r2.ebuild:
  Added two patches from xcdroast.org that fixes problems with gtk2 and the
  not-needed pcre-lib.

*xcdroast-0.98_alpha15-r1 (02 Nov 2003)

  02 Nov 2003; Luca Barbato <lu_zero@gentoo.org> 
  files/xcdroast-0.98alpha15-dvd.patch :
  Added the patch to let xcdroast use cdrtools + dvdr patches for dvd burning.

  02 Nov 2003; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha15-r1.ebuild:
  DVD-support uses cdrecord-ProDVD. This is closed-source software, but it works
  and free for use for educational, research and private purposes. A key has to
  be typed in to X-CD-Roast. See ftp://ftp.berlios.de/pub/cdrecord/ProDVD/README
  and http://www.xcdroast.org/xcdr098/README.ProDVD.txt for further information.

  31 Oct 2003; Martin Holzer <mholzer@gentoo.org>
  xcdroast-0.98_alpha15.ebuild:
  adding dev-libs/libpcre. closes #32372.

*xcdroast-0.98_alpha15 (31 Oct 2003)

  31 Oct 2003; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha14-r2.ebuild,
  xcdroast-0.98_alpha15.ebuild:
  Version bump. Thanks to Mario Vazquez for the ebuild. X-CD-Roast now supports
  gtk2.
  
  Changed the SRC_URI for the patches in the alpha14-ebuild, as they changed
  with the alpha15-release.

  28 Oct 2003; Bartosch Pixa <darkspecter@gentoo.org>
  xcdroast-0.98_alpha14-r2.ebuild:
  set ppc in keywords

  11 Sep 2003; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha14-r2.ebuild:
  New USE flag 'dvdr'. That will apply a patch to xcdroast that makes use of
  cdrtools' patch for DVD-writing.
  
  Nevertheless xcdroast has full support for cdrecord-ProDVD
  (http://www.xcdroast.org/xcdr098/README.ProDVD.txt), which has to be
  installed manually. Maybe I'll automate it with an ebuild later.

*xcdroast-0.98_alpha14-r2 (04 Sep 2003)

  04 Sep 2003; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha10-r3.ebuild,
  xcdroast-0.98_alpha14-r2.ebuild, xcdroast-0.98_alpha14.ebuild,
  files/xcdroast-0.98alpha14-dvd.patch:

  Applied suggestions from Bug #26323.
  
  xcdroast makes now use of the USE-flag "dvd" which will compile it with
  further DVD-write functionalities.  If this is to much overload for users
  who only want DVD-read functionalities (and have set this USE-flag by
  default), this USE-flag should be renamed and become a local one.

  Removed some old ebuilds.

*xcdroast-0.98_alpha14-r1 (17 Jul 2003)

  17 Jul 2003; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha14-r1.ebuild:
  Adding two patches from the xcdroast author as described in Bug 22042. Thanks
  to digex@web.de for the ebuild.
  
  Further masking stable on ppc.

*xcdroast-0.98_alpha14 (14 Jun 2003)

  14 Jun 2003; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha13.ebuild,
  xcdroast-0.98_alpha14.ebuild:
  Masked alpha13 stable on x86.
  
  Added new version alpha14.

*xcdroast-0.98_alpha10-r3 (16 May 2003)

  16 May 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Updated dependencies to allow multiple revisions of cdrtools.

*xcdroast-0.98_alpha13 (04 Jan 2003)

  02 Apr 2003; Lars Weiler <pylon@gentoo.org> xcdroast-0.98_alpha13.ebuild:
  Set ppc in KEYWORDS

  13 Feb 2003; Yannick Koehler <ykoehler@gentoo.org> xcdroast-0.98_alpha13.ebuild :
  Added 'nls' USE flag to IUSE.
 
  05 Jan 2002; Seemant Kulleen <seemant@gentoo.org>
  xcdroast-0.98_alpha13.ebuild :

  NLS bloat reduction
 
  04 Jan 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version bump (thanks to Lars Weiler <lars.weiler@chaosdorf.de>).
  This one works with cdrtools 2.0.
  Downloading from a SF mirror.
	
*xcdroast-0.98_alpha10 (16 Jun 2002)
  
  21 Oct 2002; Arcady Genkin <agenkin@gentoo.org> xcdroast-0.98_alpha10-r2 :
  xcdroast does not work with cdrtools above 1.11.33.

  16 Jun 2002; Doug Goldstein (Cardoe) <dougg@ufl.edu>
  xcdroast-0.98_alpha10-r2.ebuild: Changed the depends to the new version of
  cdrtools because of bugs reports and because the xcdroast site says there are
  bugs unless you use the latest version.  Fixed lintool errors too. :)

  4 Jun 2002; Brandon Low <lostlogic@gentoo.org>  xcdroast-0.98_alpha10-r1.ebuild:
  Changed dependency for new version, it don't b0rk now.

*xcdroast-0.98_alpha10 (23 Apr 2002)

  23 Apr 2002; Ryan Phillips <rphillips@gentoo.org> xcdroast-0.98_alpha10.ebuild:
  Patched ebuild to actually download and compile alpha10 release.

*xcdroast-0.98_alpha10 (23 Apr 2002)

  23 Apr 2002; Ryan Phillips <rphillips@gentoo.org> xcdroast-0.98_alpha10.ebuild:
  Update to newer version of xcdroast.
  
*xcdroast-0.98_alpha9-r2 (16 Apr 2002)

  16 Apr 2002; Bruce A. Locke <blocke@shivan.org> xcdroast-0.98_alpha9-r2.ebuild:
  Update to newer version of cdrtools

*xcdroast-0.98_alpha9-r1 (16 Apr 2002)

  16 Apr 2002; Bruce A. Locke <blocke@shivan.org> xcdroast-0.98_alpha9-r1.ebuild:
  Fixed xcdroast's hardcoded dependency versions to work with a newer version 
  of cdrtools (hardcoding is because of xcdroast itself, not our packaging)

*xcdroast-0.98_alpha9 (11 Apr 2002)

  11 Apr 2002; Spider <spider@gentoo.org>
  Update all glib dependencies to use glib-1.2*  in preparation of unmasking the glib-2.0.1 packages
